
QGIS Application - Bug report #6997

Locks kept on layers after removal from registry

2013-01-15 12:40 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16101

Description

How it happened:

 - Open DBManager, select a topology schema, select Topology Viewer

 - Issue a SELECT DropTopology(<topology_name>) from an external monitor (psql)

 - Verify that the command hangs, waiting on a lock

 - Remove the whole topology viewer layer group from the registry

What happens:

 - The DropTopology select is still waiting for the lock to be removed

Expected behavior: 

 - QGIS releases the lock when the layer is removed, and DropTopology command

   can complete

NOTE: I had to close QGIS in order for the command to complete.

This happened with qgis as of head = commit:314d144

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
